Bug 496021 - Review Request: perl-Getopt-ArgvFile - Interpolates script options from files into @ARGV or another array
Review Request: perl-Getopt-ArgvFile - Interpolates script options from files...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 23:41 EDT by Iain Arnell
Modified: 2009-05-09 00:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.11-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-18 02:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-15 23:41:11 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Getopt-ArgvFile.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Getopt-ArgvFile-1.11-1.fc11.src.rpm

Description:
This module simply interpolates option file hints in @ARGV by the contents
of the pointed files. This enables option reading from files instead of or
additional to the usual reading from the command line.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1301441

Note that current upstream release is under Artistic 1.0, but the author has agreed to relicense under Artistic 2.0 and grants permission to release the current version under Artistic 2.0. A copy of the email is included in the package.
Comment 1 Parag AN(पराग) 2009-04-16 00:07:25 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1301441
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
42117db2af4a24c062b2da25d4fdf756  Getopt-ArgvFile-1.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=10, Tests=43,  0 wallclock secs ( 0.02 usr  0.02 sys +  0.26 cusr  0.06 csys =  0.36 CPU)
+ Package perl-Getopt-ArgvFile-1.11-1.fc11.noarch =>
  Provides: perl(Getopt::ArgvFile)
  Requires: perl >= 0:5.003 perl(Carp) perl(Cwd) perl(Exporter) perl(File::Basename) perl(File::Spec::Functions) perl(Text::ParseWords) perl(strict)


APPROVED.
Comment 2 Iain Arnell 2009-04-16 00:30:11 EDT
New Package CVS Request
=======================
Package Name: perl-Getopt-ArgvFile
Short Description: Interpolates script options from files into @ARGV or another array
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-17 17:45:19 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-18 02:11:24 EDT
perl-Getopt-ArgvFile-1.11-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Getopt-ArgvFile-1.11-2.fc11
Comment 5 Fedora Update System 2009-04-18 02:11:29 EDT
perl-Getopt-ArgvFile-1.11-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Getopt-ArgvFile-1.11-2.fc10
Comment 6 Iain Arnell 2009-04-18 02:26:25 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-02 12:39:35 EDT
perl-Getopt-ArgvFile-1.11-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:08:21 EDT
perl-Getopt-ArgvFile-1.11-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.